import request from '@/utils/request'

// 查询调查员列表
export function listInvestigator(query) {
  return request({
    url: '/backstage/investigator/list',
    method: 'get',
    params: query
  })
}

// 查询调查员详细
export function getInvestigator(userId) {
  return request({
    url: '/backstage/investigator/' + userId,
    method: 'get'
  })
}

// 新增调查员
export function addInvestigator(data) {
  return request({
    url: '/backstage/investigator',
    method: 'post',
    data: data
  })
}

// 修改调查员
export function updateInvestigator(data) {
  return request({
    url: '/backstage/investigator',
    method: 'put',
    data: data
  })
}

// 删除调查员
export function delInvestigator(userId) {
  return request({
    url: '/backstage/investigator/' + userId,
    method: 'delete'
  })
}

export function changeInvestigatorStatus(userId, status) {
  const data = {
    userId,
    status
  }
  return request({
    url: '/backstage/investigator/changeStatus',
    method: 'put',
    data: data
  })
}

// 用户密码重置
export function resetUserPwd(userId, password) {
  const data = {
    userId,
    password
  }
  return request({
    url: '/backstage/investigator/resetPwd',
    method: 'put',
    data: data
  })
}

// 导出调查员
export function exportInvestigator(query) {
  return request({
    url: '/backstage/investigator/export',
    method: 'get',
    params: query
  })
}

// 下载调查员导入模板
export function importTemplate() {
  return request({
    url: '/backstage/investigator/importTemplate',
    method: 'get'
  })
}